// JWOptions.java
// $Id: JWOptions.java,v 1.9 2000/08/17 15:07:26 bmahe Exp $
// (c) COPYRIGHT MIT, INRIA and Keio, 1999.
// Please first read the full copyright statement in file COPYRIGHT.html
package org.w3c.jwput;

import org.w3c.www.protocol.http.HttpManager;

/**
 * Options (names and default values) used to configure Winie
 * @version $Revision: 1.9 $
 * @author  Benot Mah (bmahe@w3.org)
 */
public interface JWOptions {

    /**
     * Property name for username (authentication)
     */
    public static final String USER_P        = "user";

    /**
     * Property name for password (authentication)
     */
    public static final String PASSWORD_P    = "password";

    /**
     * Property name for verbose mode
     */
    public static final String VERBOSE_P     = "verbose";

    /**
     * Property name for overwrite mode
     */
    public static final String OVERWRITE_P   = "overwrite";

    /**
     * Property name for quiet mode
     */
    public static final String QUIET_P       = "quiet";

    /**
     * Property name for default mime type
     */
    public static final String MIMEDEF_P     = "mimedef";

    /**
     * Property name for prompt mode
     */
    public static final String PROMPT_P      = "prompt";

    /**
     * Property name for recursive put mode
     */
    public static final String REC_P         = "rec";

    /**
     * Property value, the Winie preferences directory
     */
    public static final String WPUTDIR       = "winie";

    /**
     * Property value for Winie preference file.
     */
    public static final String WPUTRC        = "preferences";

    /**
     * Property name for ETags Database class
     */
    public static final String ETAGS_DB      = "etagsDB";

    /**
     * Property name for backup mode
     */
    public static final String BACKUP_P      = "backup";

    /**
     * Property name for the progress bar
     */
    public static final String PROGRESS_BAR_P = "progress_bar";

    /**
     * Property name for the put CVS property
     */
    public static final String PUT_CVS_P = "put_cvs";

    /**
     * Property name for hide mode
     */
    public static final String HIDE_POPUPS_P = "hide_popups";

    /**
     * Property name for number of retries when connection closed
     */
    public static final String TRIES_P       = "tries";

    /**
     * Property value for tries (see above)
     */
    public static final int    DEF_TRIES     = 3;

    /**
     * Property name for header prefix (internal use)
     */
    public static final String HEADER_PREFIX = "header_";

    /**
     * Property name for mime prefix (internal use)
     */
    public static final String MIME_PREFIX = "mime_";

    /**
     * Property name for Proxy set (same as HttpManager.PROXY_SET_P)
     */
    public static final String PROXY_SET_P   = 
	HttpManager.PROXY_SET_P;

    /**
     * Property name for Proxy Host (same as HttpManager.PROXY_HOST_P)
     */
    public static final String PROXY_HOST_P = 
	HttpManager.PROXY_HOST_P;

    /**
     * Property name for Proxy Port (same as HttpManager.PROXY_PORT_P)
     */
    public static final String PROXY_PORT_P = 
	HttpManager.PROXY_PORT_P;

    /**
     * Property name for SOCKS Proxy Port
     */
    public static final String SOCKS_PORT_P = "socksProxyPort";

    /**
     * Property name for SOCKS Proxy Host
     */
    public static final String SOCKS_HOST_P = "socksProxyHost";

    /**
     * Property name for User Agent (same as HttpManager.USER_AGENT_P)
     */
    public static final String USER_AGENT_P = 
	HttpManager.USER_AGENT_P;

    /**
     * Property name for Accept Language (Same as 
     * HttpManager.ACCEPT_LANGUAGE_P)
     */
    public static final String ACCEPT_LANGUAGE_P = 
	HttpManager.ACCEPT_LANGUAGE_P;

    /**
     * Property value for false
     */
    public static final String FALSE_P = "false";

    /**
     * Property value for true
     */
    public static final String TRUE_P = "true";

    /**
     * Property value for last directory visited for save
     */
    public static final String SAVE_DIR_P = "savedir";

    /**
     * Property value for last directory visited for load
     */
    public static final String LOAD_DIR_P = "loaddir";

    /**
     * Property value for homedir
     */
    public static final String HOMEDIR_P = "winie.pathconfig";
}
